<html>
<head>
  <title>SME Web Application Framework</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <link rel="stylesheet" href="styles.css" type="text/css" >
</head>
<body>

<?php include "header.html"; ?>

<h1>SME Web Application Framework</h1>

<h2>About SMEWebApp</h2>

<p>SMEWebApp intends to simplify the construction of web applications for
SME-s (Small and Medium Enterprises). It is built using
PHP and MySQL and is based in the phpWebApp framework
(http://phpwebapp.sourceforge.net). The main platform supported is
Linux. It is similar in goals with phpWebApp, however, while phpWebApp is
generic enough for building any kind of web applications, the smewebapp
framework will be of a higher level and focused on a more specific
target. This target is to create modules and components that can be easily
reused in different applications and combined with each-other for easily
building applications for the informatization of the work of companies and
institutions. Such modules can be: user authentication, hierarchical menus,
document repository, etc.</p>

<h2>Related Links</h2>

<ul>
  <li><a href="http://smewebapp.sourceforge.net/DT/" target="_blank">DT</a>
      -- the first application of this kind.</li>
  <li><a href="http://smewebapp.sourceforge.net/ilar/" target="_blank">ilar</a>
      -- another more generic and more complex application.</li>
  <li><a href="http://smewebapp.sourceforge.net/smewapp/" target="_blank">smewapp</a>
      -- a simple and generic application that can be used to generate new
      similar applications.</li>
  <li><a href="http://smewebapp.sourceforge.net/smewapp/codedoc/" target="_blank">
      smewapp code documentation</a>
      -- automatically generated code documentation </li>
  <li><a href="http://smewebapp.sourceforge.net/menushpk/" target="_blank">menushpk</a>
      -- an example of a real application that is generated from the 
         <em>smewapp</em>.</li>
  <li><a href="http://smewebapp.sourceforge.net/menushpk/codedoc/" target="_blank">
      menushpk code documentation</a>
      -- automatically generated code documentation </li>
  <li><a href="http://smewebapp.sourceforge.net/docs/" target="_blank">
      smewebapp-docs</a> -- the documentation books of <em>smewebapp</em>.</li>
</ul>

<p>SMEWebApp uses some scripts and generic modules, which can be reused
for easily generating new applications.</p>


<h2>Download and Install</h2>

<a href="http://sourceforge.net/project/showfiles.php?group_id=107452">Download</a>
it at SF.

These applications are built using PHP and the <a
href="http://phpwebapp.sourceforge.net">phpWebApp framework</a>, so they may
be used on each platform that PHP works.

<h2>Copying</h2>

<?php include "copying.html"; ?>

</body>
</html>
